import React from 'react';
export type chipColor = 'jungleGreen' | 'kiwi' | 'magenta' | 'pink' | 'turquoise' | 'violet' | 'yellow';
export type chipType = 'error' | 'info' | 'success' | 'warning' | chipColor;
type Props = {
    message: string;
    onClose?: Function;
    type?: chipType;
    color?: chipColor;
    icon?: (height: number, width: number, fill: string) => React.ReactNode;
};
declare const Chip: ({ message, type, onClose, color, icon }: Props) => JSX.Element;
export default Chip;
