/// <reference types="react" />
type ViewStyle = import('react-native').ViewStyle;
declare const defaultProps: {
    column: boolean;
};
export type OverrideStyle = ViewStyle | ViewStyle[];
type Props = {
    children: import('react').ReactNode;
    between?: boolean;
    around?: boolean;
    evenly?: boolean;
    center?: boolean;
    start?: boolean;
    end?: boolean;
    middle?: boolean;
    top?: boolean;
    bottom?: boolean;
    row?: boolean;
    rowReverse?: boolean;
    columnReverse?: boolean;
    column?: boolean;
    flex?: number;
    overrideStyle?: OverrideStyle;
    wrapReverse?: boolean;
    wrap?: boolean;
    onLayout?: (arg: any) => void;
    testID?: string;
    nativeID?: string;
    pointerEvents?: 'box-none' | 'none' | 'box-only' | 'auto' | undefined;
} & typeof defaultProps;
export declare const isOverrideStyleArray: (str: OverrideStyle | undefined) => str is import("react-native").ViewStyle[];
declare const Flex: {
    ({ children, between, around, evenly, center, start, end, middle, top, bottom, row, rowReverse, columnReverse, column, flex, overrideStyle, wrapReverse, wrap, onLayout, testID, nativeID, pointerEvents, }: Props): JSX.Element | null;
    defaultProps: {
        column: boolean;
    };
};
export default Flex;
