"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Basic = exports.Playground = void 0;
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const react_native_2 = require("react-native");
const Flex_1 = __importDefault(require("../Flex/Flex"));
const Image_1 = __importDefault(require("./Image"));
const styles = react_native_1.StyleSheet.create({
    overAll: {
        height: react_native_2.Dimensions.get('screen').height * 0.4,
    },
});
exports.default = {
    title: 'Components/Image',
    component: Image_1.default,
};
const Template = args => (react_1.default.createElement(Flex_1.default, { center: true, middle: true, overrideStyle: styles.overAll },
    react_1.default.createElement(Image_1.default, { ...args })));
exports.Playground = Template.bind({});
exports.Playground.args = {
    src: 'https://res.cloudinary.com/practicaldev/image/fetch/s--_HBZhuhF--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/nweeqf97l2md3tlqkjyt.jpg',
    width: 100,
    height: 100,
};
const Basic = () => {
    return (react_1.default.createElement(Flex_1.default, { center: true, middle: true, overrideStyle: styles.overAll },
        react_1.default.createElement(Image_1.default, { previewMode: true, src: "https://res.cloudinary.com/practicaldev/image/fetch/s--_HBZhuhF--/c_limit%2Cf_auto%2Cfl_progressive%2Cq_auto%2Cw_880/https://thepracticaldev.s3.amazonaws.com/i/nweeqf97l2md3tlqkjyt.jpg", resizeMode: "center", width: 200, height: 200 })));
};
exports.Basic = Basic;
