"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.styles = void 0;
const react_native_1 = require("react-native");
exports.styles = react_native_1.StyleSheet.create({
    common: {
        fontFamily: 'lato',
        paddingHorizontal: 8,
        paddingVertical: 12,
        borderWidth: 1,
        borderRadius: 4,
        textAlign: 'center',
        width: '100%'
    },
    renderViewStyle: {
        flexDirection: react_native_1.I18nManager.isRTL ? 'row-reverse' : 'row',
        justifyContent: 'space-between',
        alignItems: 'center',
    },
    normalCommon: {
        fontFamily: 'lato',
        paddingHorizontal: 2,
        paddingVertical: 12,
        borderBottomWidth: 1,
        textAlign: 'center'
    },
});
