import { Animation } from 'react-native-animatable';
export type DurationTypes = 'SHORT' | 'LONG';
export type PositionTypes = 'TOP' | 'BOTTOM' | 'CENTER';
type Props = {
    message: string;
    duration?: DurationTypes;
    position?: PositionTypes;
    animationIn?: Animation;
};
declare const Toast: {
    info: (options: Props) => void;
    success: (options: Props) => void;
    danger: (options: Props) => void;
    warning: (options: Props) => void;
};
export default Toast;
