"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getColors = exports.curvedDefaultInputHelper = exports.linkTextColor = exports.textThemeColor = exports.primaryTextColor = exports.defaultButtonCurved = exports.secondaryButtonTextColor = exports.primaryButtonTextColor = exports.primaryButtonColor = exports.secondaryTint4Color = exports.secondaryTint3Color = exports.secondaryTint2Color = exports.secondaryTint1Color = exports.secondaryColor = exports.secondaryDarkColor = exports.primaryTint4Color = exports.primaryTint3Color = exports.primaryTint2Color = exports.primaryTint1Color = exports.primaryColor = exports.primaryDarkColor = void 0;
/* eslint-env browser */
const Colors = __importStar(require("./colors"));
const constants_1 = require("./constants");
// <<<<<<< START PRIMARY COLOR >>>>>>>
const primaryDarkColor = (theme) => {
    switch (theme) {
        case constants_1.DRUG_THEME:
            return '#5173fe';
        case constants_1.CHURCH_THEME:
            return '#191A3E';
        default:
            return '#00347C';
    }
};
exports.primaryDarkColor = primaryDarkColor;
const primaryColor = (theme) => {
    switch (theme) {
        case constants_1.DRUG_THEME:
            return '#5168FF';
        case constants_1.CHURCH_THEME:
            return '#232559';
        default:
            return '#0046A0';
    }
};
exports.primaryColor = primaryColor;
const primaryTint1Color = (theme) => {
    switch (theme) {
        case constants_1.DRUG_THEME:
            return '#2BAED5';
        case constants_1.CHURCH_THEME:
            return '#4F517A';
        default:
            return '#448AFF';
    }
};
exports.primaryTint1Color = primaryTint1Color;
const primaryTint2Color = (theme) => {
    switch (theme) {
        case constants_1.DRUG_THEME:
            return '#519ef9';
        case constants_1.CHURCH_THEME:
            return '#7B7C9B';
        default:
            return '#95C3FF';
    }
};
exports.primaryTint2Color = primaryTint2Color;
const primaryTint3Color = (theme) => {
    switch (theme) {
        case constants_1.DRUG_THEME:
            return '#B5DBFF';
        case constants_1.CHURCH_THEME:
            return '#A7A8BD';
        default:
            return '#CCE2FF';
    }
};
exports.primaryTint3Color = primaryTint3Color;
const primaryTint4Color = (theme) => {
    switch (theme) {
        case constants_1.DRUG_THEME:
            return '#b5dbff';
        case constants_1.CHURCH_THEME:
            return '#F9F9F9';
        default:
            return '#F2F8FF';
    }
};
exports.primaryTint4Color = primaryTint4Color;
// <<<<<<< END PRIMARY COLOR >>>>>>>
// <<<<<<< START SECONDARY COLOR >>>>>>>
const secondaryDarkColor = (theme) => {
    switch (theme) {
        case constants_1.DRUG_THEME:
            return '#00C853';
        case constants_1.CHURCH_THEME:
            return '#A93E1D';
        default:
            return '#00C853';
    }
};
exports.secondaryDarkColor = secondaryDarkColor;
const secondaryColor = (theme) => {
    switch (theme) {
        case constants_1.DRUG_THEME:
            return '#E73785';
        case constants_1.CHURCH_THEME:
            return '#F25929';
        default:
            return '#32FF14';
    }
};
exports.secondaryColor = secondaryColor;
const secondaryTint1Color = (theme) => {
    switch (theme) {
        case constants_1.DRUG_THEME:
            return '#80FF6D';
        case constants_1.CHURCH_THEME:
            return '#F57A54';
        default:
            return '#80FF6D';
    }
};
exports.secondaryTint1Color = secondaryTint1Color;
const secondaryTint2Color = (theme) => {
    switch (theme) {
        case constants_1.DRUG_THEME:
            return '#97FF88';
        case constants_1.CHURCH_THEME:
            return '#F79B7F';
        default:
            return '#97FF88';
    }
};
exports.secondaryTint2Color = secondaryTint2Color;
const secondaryTint3Color = (theme) => {
    switch (theme) {
        case constants_1.DRUG_THEME:
            return '#D3FFCC';
        case constants_1.CHURCH_THEME:
            return '#FABDA9';
        default:
            return '#D3FFCC';
    }
};
exports.secondaryTint3Color = secondaryTint3Color;
const secondaryTint4Color = (theme) => {
    switch (theme) {
        case constants_1.DRUG_THEME:
            return '#E9FFE5';
        case constants_1.CHURCH_THEME:
            return '#FEEEEA';
        default:
            return '#E9FFE5';
    }
};
exports.secondaryTint4Color = secondaryTint4Color;
// <<<<<<< END SECONDARY COLOR >>>>>>>
// <<<<<<< START BUTTON COLOR >>>>>>>
const primaryButtonColor = (theme) => {
    switch (theme) {
        case constants_1.DRUG_THEME:
            return '#2BAED5';
        case constants_1.CHURCH_THEME:
            return '#f25929';
        default:
            return '#0046A0';
    }
};
exports.primaryButtonColor = primaryButtonColor;
const primaryButtonTextColor = (theme) => {
    switch (theme) {
        case constants_1.DRUG_THEME:
            return 'white';
        case constants_1.APP_THEME:
            return 'white';
        case constants_1.CHURCH_THEME:
            return 'white';
        default:
            return 'primary';
    }
};
exports.primaryButtonTextColor = primaryButtonTextColor;
const secondaryButtonTextColor = (theme) => {
    switch (theme) {
        case constants_1.DRUG_THEME:
            return 'theme';
        case constants_1.APP_THEME:
            return 'theme';
        case constants_1.CHURCH_THEME:
            return 'theme';
        default:
            return 'primary';
    }
};
exports.secondaryButtonTextColor = secondaryButtonTextColor;
const defaultButtonCurved = (theme) => {
    switch (theme) {
        case constants_1.DRUG_THEME:
            return false;
        case constants_1.CHURCH_THEME:
            return true;
        default:
            return true;
    }
};
exports.defaultButtonCurved = defaultButtonCurved;
// <<<<<<< END BUTTON COLOR >>>>>>>
// <<<<<<< START TEXT COLOR THEME BASED >>>>>>>
// normal text color black shade
const primaryTextColor = (theme) => {
    switch (theme) {
        case constants_1.DRUG_THEME:
            return Colors.GRAY_10;
        default:
            return Colors.GRAY_10;
    }
};
exports.primaryTextColor = primaryTextColor;
// theme color like bule or pink
const textThemeColor = (theme) => {
    switch (theme) {
        default:
            return (0, exports.primaryButtonColor)(theme);
    }
};
exports.textThemeColor = textThemeColor;
const linkTextColor = (theme) => {
    switch (theme) {
        case constants_1.DRUG_THEME:
            return '#00529C';
        case constants_1.APP_THEME:
            return (0, exports.primaryTint1Color)(constants_1.APP_THEME);
        default:
            return (0, exports.primaryTint1Color)(constants_1.APP_THEME);
    }
};
exports.linkTextColor = linkTextColor;
// <<<<<<< END TEXT COLOR THEME BASED >>>>>>>
// Input Helper
const curvedDefaultInputHelper = (theme) => {
    switch (theme) {
        case constants_1.DRUG_THEME:
        default:
            return true;
    }
};
exports.curvedDefaultInputHelper = curvedDefaultInputHelper;
// DON'T USE THIS IN UI COMPONENTS
const getColors = (theme) => ({
    ...Colors,
    PRIMARY_DARK_COLOR: (0, exports.primaryDarkColor)(theme),
    PRIMARY_COLOR: (0, exports.primaryColor)(theme),
    PRIMARY_TINT_1_COLOR: (0, exports.primaryTint1Color)(theme),
    PRIMARY_TINT_2_COLOR: (0, exports.primaryTint2Color)(theme),
    PRIMARY_TINT_3_COLOR: (0, exports.primaryTint3Color)(theme),
    PRIMARY_TINT_4_COLOR: (0, exports.primaryTint4Color)(theme),
    SECONDARY_DARK_COLOR: (0, exports.secondaryDarkColor)(theme),
    SECONDARY_COLOR: (0, exports.secondaryColor)(theme),
    SECONDARY_TINT_1_COLOR: (0, exports.secondaryTint1Color)(theme),
    SECONDARY_TINT_2_COLOR: (0, exports.secondaryTint2Color)(theme),
    SECONDARY_TINT_3_COLOR: (0, exports.secondaryTint3Color)(theme),
    SECONDARY_TINT_4_COLOR: (0, exports.secondaryTint4Color)(theme),
    PRIMARY_TEXT_COLOR: (0, exports.primaryTextColor)(theme),
    THEME_TEXT_COLOR: (0, exports.textThemeColor)(theme),
    PRIMARY_BUTTON_TEXT_COLOR: (0, exports.primaryButtonTextColor)(theme),
    SECONDARY_BUTTON_TEXT_COLOR: (0, exports.secondaryButtonTextColor)(theme),
    LINK_TEXT_COLOR: (0, exports.linkTextColor)(theme),
});
exports.getColors = getColors;
// export const generateCssColorVars = (theme: ThemeType) => {
//   if (typeof Window === 'undefined') {
//     return;
//   }
//   let style = '';
//   const colors: any = getColors(theme);
//   const root = document.querySelector(':root');
//   Object.keys(colors).map((colorKey) => {
//     if (root) {
//       style += `--color-${colorKey}:${colors[colorKey]};`;
//       root.setAttribute('style', style);
//     }
//     return null;
//   });
// };
