"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint max-len: ["error", { "code": 3000 }] */
const react_1 = __importDefault(require("react"));
const react_native_svg_1 = __importStar(require("react-native-svg"));
const defaultProps = {
    width: 300,
    height: 225,
};
const SvgNoInternet = ({ width, height }) => (react_1.default.createElement(react_native_svg_1.default, { width: width, height: height, viewBox: "0 0 300 225" },
    react_1.default.createElement(react_native_svg_1.Defs, null,
        react_1.default.createElement(react_native_svg_1.Path, { id: "illustrations_pay_well_no_internet_svg__a", d: "M0 0h27.75v10.5H0z" }),
        react_1.default.createElement(react_native_svg_1.Path, { id: "illustrations_pay_well_no_internet_svg__c", d: "M0 0h300v60H0z" }),
        react_1.default.createElement(react_native_svg_1.Path, { id: "illustrations_pay_well_no_internet_svg__e", d: "M0 223.5h300V0H0z" })),
    react_1.default.createElement(react_native_svg_1.G, { transform: "translate(0 .75)", fill: "none", fillRule: "evenodd" },
        react_1.default.createElement(react_native_svg_1.G, { transform: "translate(33.75)" },
            react_1.default.createElement(react_native_svg_1.Mask, { id: "illustrations_pay_well_no_internet_svg__b", fill: "#fff" },
                react_1.default.createElement(react_native_svg_1.Use, { xlinkHref: "#illustrations_pay_well_no_internet_svg__a" })),
            react_1.default.createElement(react_native_svg_1.Path, { d: "M23.194 6.725c-.359 0-.706.046-1.04.122C21.575 2.973 18.276 0 14.287 0c-2.897 0-5.421 1.566-6.82 3.9a5.53 5.53 0 0 0-1.805-.3C2.534 3.6 0 6.164 0 9.326c0 .402.041.796.117 1.174H7.35a2.704 2.704 0 0 1-.052-.523c0-1.41 1.13-2.554 2.525-2.554.283 0 .552.047.805.135a3.541 3.541 0 0 1 3.04-1.74c1.78 0 3.25 1.325 3.509 3.053.149-.033.303-.054.463-.054 1.004 0 1.843.723 2.031 1.683h8.079c-.423-2.151-2.304-3.775-4.556-3.775", fill: "#F1F2F3", mask: "url(#illustrations_pay_well_no_internet_svg__b)" })),
        react_1.default.createElement(react_native_svg_1.Path, { d: "M51.28 8.132c-.155 0-.306.02-.45.053a3.448 3.448 0 0 0-3.402-2.935 3.44 3.44 0 0 0-2.948 1.672A2.452 2.452 0 0 0 41.3 9.75h11.95a2.011 2.011 0 0 0-1.97-1.618", fill: "#D8D9E3" }),
        react_1.default.createElement(react_native_svg_1.Path, { d: "M261.982 29.618c-2.07 0-4.03.448-5.796 1.243-1.724-9.446-10.048-16.611-20.062-16.611-10.149 0-18.564 7.36-20.13 16.997a11.522 11.522 0 0 0-2.23-.217 11.54 11.54 0 0 0-10.872 7.605 9.131 9.131 0 0 0-4.189-1.012c-4.46 0-8.166 3.179-8.953 7.377h26.162a4.191 4.191 0 0 1 4.126-3.4c.696 0 1.351.169 1.931.466a5.319 5.319 0 0 1 5.01-3.505c.353 0 .697.034 1.03.1.721-4.442 4.599-7.834 9.277-7.834 4.616 0 8.452 3.303 9.247 7.656a6.485 6.485 0 0 1 2.67-.573c3.569 0 6.461 2.87 6.461 6.413 0 .229-.012.455-.034.677h20.295c.049-.482.075-.97.075-1.468 0-7.688-6.277-13.914-14.018-13.914", fill: "#F1F2F3" }),
        react_1.default.createElement(react_native_svg_1.Path, { d: "M249.29 37.871c-.955 0-1.858.208-2.67.577a9.395 9.395 0 0 0-9.247-7.698 9.394 9.394 0 0 0-9.278 7.876 5.321 5.321 0 0 0-6.04 3.424 4.177 4.177 0 0 0-1.929-.47A4.195 4.195 0 0 0 216 45h39.715c.023-.223.035-.45.035-.68 0-3.563-2.893-6.449-6.46-6.449", fill: "#E2E3E4" }),
        react_1.default.createElement(react_native_svg_1.G, { transform: "translate(0 163.5)" },
            react_1.default.createElement(react_native_svg_1.Mask, { id: "illustrations_pay_well_no_internet_svg__d", fill: "#fff" },
                react_1.default.createElement(react_native_svg_1.Use, { xlinkHref: "#illustrations_pay_well_no_internet_svg__c" })),
            react_1.default.createElement(react_native_svg_1.Path, { d: "M0 0h300s-12.47 47.66-49.803 55.843c-37.334 8.182-103.431-28.921-150.882-4.87-22.036 11.17-64.885 14.484-82.1-4.801C0 26.885 0 0 0 0", fill: "#F7F8FB", mask: "url(#illustrations_pay_well_no_internet_svg__d)" })),
        react_1.default.createElement(react_native_svg_1.Mask, { id: "illustrations_pay_well_no_internet_svg__f", fill: "#fff" },
            react_1.default.createElement(react_native_svg_1.Use, { xlinkHref: "#illustrations_pay_well_no_internet_svg__e" })),
        react_1.default.createElement(react_native_svg_1.Path, { fill: "#F4F5F8", mask: "url(#illustrations_pay_well_no_internet_svg__f)", d: "M0 163.5h300v-3H0z" }),
        react_1.default.createElement(react_native_svg_1.Path, { stroke: "#F4F5F8", strokeWidth: 1.499, strokeLinecap: "round", strokeLinejoin: "round", mask: "url(#illustrations_pay_well_no_internet_svg__f)", d: "M35.25 187.125H39m6.75 0H66" }),
        react_1.default.createElement(react_native_svg_1.Path, { stroke: "#D3D3D3", strokeWidth: 0.75, strokeLinecap: "round", strokeLinejoin: "round", mask: "url(#illustrations_pay_well_no_internet_svg__f)", d: "M65.25 209.625H69m6.75 0H96m108-19.5h3.75m6.75 0h20.25m-223.5-18.75H31.5" }),
        react_1.default.createElement(react_native_svg_1.Path, { stroke: "#F4F5F8", strokeWidth: 1.499, strokeLinecap: "round", strokeLinejoin: "round", mask: "url(#illustrations_pay_well_no_internet_svg__f)", d: "M147 195.375h3.75m6.75 0h20.25m75-18h3.75m6.75 0h20.25" }),
        react_1.default.createElement(react_native_svg_1.Path, { fill: "#F1F2F3", mask: "url(#illustrations_pay_well_no_internet_svg__f)", d: "M141 202.5h6.75v-114H141z" }),
        react_1.default.createElement(react_native_svg_1.Path, { d: "M139.429 53.872c2.198-3.83 7.694-3.83 9.892 0l16.078 28.006 16.077 28.006c2.199 3.83-.55 8.616-4.946 8.616h-64.31c-4.397 0-7.144-4.787-4.947-8.616l16.078-28.006 16.078-28.006z", fill: "#FFF", mask: "url(#illustrations_pay_well_no_internet_svg__f)" }),
        react_1.default.createElement(react_native_svg_1.Path, { d: "M139.429 53.872c2.198-3.83 7.694-3.83 9.892 0l16.078 28.006 16.077 28.006c2.199 3.83-.55 8.616-4.946 8.616h-64.31c-4.397 0-7.144-4.787-4.947-8.616l16.078-28.006 16.078-28.006z", stroke: "#DADBE5", strokeWidth: 4.871, mask: "url(#illustrations_pay_well_no_internet_svg__f)" }),
        react_1.default.createElement(react_native_svg_1.Path, { d: "M144.75 99.75c-1.654 0-3 1.346-3 3s1.346 3 3 3 3-1.346 3-3-1.346-3-3-3m16.5-10.58a1.508 1.508 0 0 0-.563-1.11 25.867 25.867 0 0 0-3.68-2.513l-.085-.047-2.422 2.244.144.075a22.584 22.584 0 0 1 3.864 2.55c.31.255.697.381 1.085.381.425 0 .85-.152 1.172-.45l.001-.001c.326-.302.497-.703.483-1.129m-5.05 3.329a19.192 19.192 0 0 0-3.707-2.459l-.08-.04L150 92.353l.162.07a15.985 15.985 0 0 1 3.92 2.439c.297.25.672.388 1.062.388l.05-.001c.41-.012.794-.175 1.083-.456a1.56 1.56 0 0 0 .472-1.168 1.538 1.538 0 0 0-.55-1.126m1.607-10.431a1.496 1.496 0 0 0 0-2.127 1.514 1.514 0 0 0-1.073-.441c-.406 0-.786.156-1.073.44l-3.598 3.567a24.492 24.492 0 0 0-7.866-1.296c-2.97 0-5.885.531-8.663 1.579a24.361 24.361 0 0 0-7.498 4.495 1.57 1.57 0 0 0-.534 1.128c-.014.433.15.84.456 1.144l.003.003a1.575 1.575 0 0 0 2.142.07 21.327 21.327 0 0 1 14.094-5.306c1.8 0 3.598.23 5.348.68l-2.23 2.212a18.975 18.975 0 0 0-3.49-.321 19.07 19.07 0 0 0-11.883 4.182 1.54 1.54 0 0 0-.579 1.123c-.024.442.143.875.459 1.187v.001c.568.562 1.467.61 2.092.11a15.928 15.928 0 0 1 10.57-3.476l-2.488 2.466a12.866 12.866 0 0 0-5.903 2.687c-.35.285-.563.704-.585 1.149a1.543 1.543 0 0 0 1.065 1.541l-2.841 2.817a1.497 1.497 0 0 0 0 2.127c.287.284.668.441 1.073.441.406 0 .787-.157 1.073-.44l10.259-10.172 11.67-11.57zm-5.368 13.989a11.933 11.933 0 0 0-3.665-2.28l-.068-.027-2.455 2.705.21.045a8.91 8.91 0 0 1 4.068 2.109c.29.261.638.391.982.391.385 0 .765-.162 1.054-.48.3-.332.455-.774.434-1.242a1.756 1.756 0 0 0-.56-1.22", fill: "#F79B7F", mask: "url(#illustrations_pay_well_no_internet_svg__f)" }),
        react_1.default.createElement(react_native_svg_1.Path, { d: "M146.25 206.25c-2.972-16.472-7.5-15.745-7.5-15.745 3.654 1.223 5.087 11.995 5.477 15.745h2.023z", fill: "#E2E3E4", mask: "url(#illustrations_pay_well_no_internet_svg__f)" }),
        react_1.default.createElement(react_native_svg_1.Path, { d: "M140.611 206.25h1.889c-1.746-11.825-6-11.245-6-11.245 3.128.833 3.914 7.692 4.111 11.245", fill: "#DADBE5", mask: "url(#illustrations_pay_well_no_internet_svg__f)" }),
        react_1.default.createElement(react_native_svg_1.Path, { d: "M141.785 206.25H144c-1.728-13.372-6.75-12.745-6.75-12.745 4.02.979 4.482 10.341 4.535 12.745", fill: "#E2E3E4", mask: "url(#illustrations_pay_well_no_internet_svg__f)" }),
        react_1.default.createElement(react_native_svg_1.Path, { d: "M143.556 206.25h1.944c-.817-21.778-5.25-20.996-5.25-20.996 3.375 1.762 3.397 16.15 3.306 20.996", fill: "#DADBE5", mask: "url(#illustrations_pay_well_no_internet_svg__f)" }),
        react_1.default.createElement(react_native_svg_1.Path, { d: "M146.207 206.25c-.512-4.168-1.851-17.397 1.543-18.74 0 0-4.728-1.046-3.566 18.74h2.023z", fill: "#E2E3E4", mask: "url(#illustrations_pay_well_no_internet_svg__f)" }),
        react_1.default.createElement(react_native_svg_1.Path, { d: "M146.936 205.5c.269-3.813 1.396-15.22 5.314-16.495 0 0-4.918-.78-7.5 16.495h2.186z", fill: "#DADBE5", mask: "url(#illustrations_pay_well_no_internet_svg__f)" }),
        react_1.default.createElement(react_native_svg_1.Path, { d: "M147.42 206.25c.926-2.23 3.014-6.193 6.33-6.749 0 0-4.235-.26-8.25 6.749h1.92z", fill: "#E2E3E4", mask: "url(#illustrations_pay_well_no_internet_svg__f)" }),
        react_1.default.createElement(react_native_svg_1.Path, { d: "M151.5 194.255s-4.344-.606-6 11.995h1.92c.133-3.301.796-11.1 4.08-11.995m-10.84 11.995h1.84c-1.887-8.076-6-7.49-6-7.49 2.988.434 3.889 4.958 4.16 7.49", fill: "#E2E3E4", mask: "url(#illustrations_pay_well_no_internet_svg__f)" }),
        react_1.default.createElement(react_native_svg_1.Path, { d: "M190.606 125.145c2.036 2.137 4.634 2.944 7.441 3.453 3.092.56 6.229.803 9.348 1.15.475.052.471-.7 0-.751-2.958-.329-5.934-.556-8.869-1.072-2.776-.49-5.37-1.187-7.394-3.31-.333-.35-.858.181-.526.53", fill: "#E6E8EF", mask: "url(#illustrations_pay_well_no_internet_svg__f)" }),
        react_1.default.createElement(react_native_svg_1.Path, { d: "M187.5 131.125c.27 4.427 8.53 1.469 10.71.612 4.823-1.892 9.008-4.972 13.13-8.025.382-.282.008-.927-.378-.64-3.323 2.46-6.668 4.941-10.383 6.8-1.747.873-12.088 5.218-12.329 1.253-.029-.475-.778-.478-.75 0", fill: "#D3D3D3", mask: "url(#illustrations_pay_well_no_internet_svg__f)" }),
        react_1.default.createElement(react_native_svg_1.Path, { d: "M185.409 141.056c1.767 1.354 4.897.417 6.799-.204a18.438 18.438 0 0 0 6.447-3.678c2.135-1.88 3.33-4.35 5.147-6.482 1.964-2.306 4.783-3.559 7.5-4.753.446-.197.06-.848-.383-.653-2.22.977-4.47 1.981-6.335 3.56-2.02 1.712-3.106 4.139-4.808 6.118a17.37 17.37 0 0 1-5.848 4.405 17.35 17.35 0 0 1-3.823 1.259c-1.338.275-3.145.67-4.313-.225-.387-.296-.765.36-.383.653", fill: "#E6E8EF", mask: "url(#illustrations_pay_well_no_internet_svg__f)" }),
        react_1.default.createElement(react_native_svg_1.Path, { d: "M208.15 129.003c-9.27 1.162-14.085 10.311-17.612 18.167-.198.44.436.827.635.384 3.389-7.549 8.02-16.669 16.977-17.792.464-.057.47-.817 0-.759", fill: "#D3D3D3", mask: "url(#illustrations_pay_well_no_internet_svg__f)" }),
        react_1.default.createElement(react_native_svg_1.Path, { d: "M182.606 137.247c6.377-.77 12.74-1.62 18.847-3.72 5.671-1.95 11.023-4.765 15.884-8.305.387-.281.014-.937-.376-.652-4.81 3.502-10.094 6.298-15.706 8.228-6.044 2.08-12.337 2.931-18.65 3.694-.471.056-.476.812 0 .755", fill: "#F79B7F", mask: "url(#illustrations_pay_well_no_internet_svg__f)" }),
        react_1.default.createElement(react_native_svg_1.Path, { d: "m251.37 106.5.001.01a16.74 16.74 0 0 0 4.379 9.788 406.449 406.449 0 0 0-20.5 7.347L206.063 135l.577-1.554-2.608-1.006-.079-.03 1.013-1.652.832-1.361.727-1.184-.433-.013a64.517 64.517 0 0 1-2.396-.118c-1.055-.076-1.973-.184-1.828-.338.323-.341 1.611-1.012 1.611-1.012l-2.479-.854 30.06-11.935a405.63 405.63 0 0 1 20.31-7.443", fill: "#DADBE5", mask: "url(#illustrations_pay_well_no_internet_svg__f)" }),
        react_1.default.createElement(react_native_svg_1.Path, { d: "m206.825 133.455 48.152-17.955.773.897s-35.586 12.937-49.5 18.603l.575-1.545z", fill: "#D7D8DD", mask: "url(#illustrations_pay_well_no_internet_svg__f)" }),
        react_1.default.createElement(react_native_svg_1.Path, { d: "M96.868 124.614c-2.022 2.123-4.617 2.82-7.395 3.31-2.934.518-5.91.744-8.868 1.073-.47.052-.476.803 0 .75 3.119-.347 6.256-.588 9.348-1.15 2.807-.509 5.406-1.314 7.441-3.453.332-.348-.193-.88-.526-.53", fill: "#E6E8EF", mask: "url(#illustrations_pay_well_no_internet_svg__f)" }),
        react_1.default.createElement(react_native_svg_1.Path, { d: "M100.5 130.375c-.241 3.967-10.573-.375-12.328-1.253-3.716-1.858-7.062-4.34-10.384-6.8-.387-.287-.76.357-.378.64 4.122 3.053 8.307 6.134 13.13 8.026 2.178.854 10.44 3.815 10.71-.613.028-.476-.721-.475-.75 0", fill: "#D3D3D3", mask: "url(#illustrations_pay_well_no_internet_svg__f)" }),
        react_1.default.createElement(react_native_svg_1.Path, { d: "M102.209 140.4c-1.13.866-2.82.516-4.121.265a17.315 17.315 0 0 1-3.837-1.218 17.385 17.385 0 0 1-6.027-4.484c-1.655-1.926-2.72-4.292-4.653-5.985-1.889-1.656-4.212-2.69-6.49-3.692-.442-.195-.83.456-.383.652 2.649 1.165 5.406 2.381 7.357 4.591 1.9 2.15 3.104 4.713 5.29 6.643a18.342 18.342 0 0 0 6.26 3.617c1.933.652 5.179 1.648 6.987.264.38-.292.004-.948-.383-.652", fill: "#E6E8EF", mask: "url(#illustrations_pay_well_no_internet_svg__f)" }),
        react_1.default.createElement(react_native_svg_1.Path, { d: "M79.85 129.762c8.958 1.123 13.588 10.244 16.977 17.792.199.443.833.057.635-.383-3.527-7.857-8.342-17.007-17.612-18.168-.469-.058-.465.7 0 .76", fill: "#F79B7F", mask: "url(#illustrations_pay_well_no_internet_svg__f)" }),
        react_1.default.createElement(react_native_svg_1.Path, { d: "M105.395 136.492c-6.313-.762-12.605-1.614-18.65-3.694-5.612-1.93-10.896-4.726-15.706-8.228-.39-.285-.763.37-.376.653a60.435 60.435 0 0 0 15.884 8.304c6.105 2.102 12.471 2.95 18.848 3.72.475.057.471-.698 0-.755", fill: "#E6E8EF", mask: "url(#illustrations_pay_well_no_internet_svg__f)" }),
        react_1.default.createElement(react_native_svg_1.Path, { d: "m36.63 105.75-.001.01a16.74 16.74 0 0 1-4.379 9.788 406.449 406.449 0 0 1 20.5 7.347l29.187 11.355-.577-1.554 2.608-1.006.079-.03-1.013-1.652-.832-1.361-.727-1.184.433-.013a64.517 64.517 0 0 0 2.396-.118c1.055-.076 1.973-.184 1.828-.338-.323-.341-1.611-1.012-1.611-1.012l2.479-.854-30.06-11.935a405.63 405.63 0 0 0-20.31-7.443", fill: "#DADBE5", mask: "url(#illustrations_pay_well_no_internet_svg__f)" }),
        react_1.default.createElement(react_native_svg_1.Path, { d: "M81.175 132.705 33.023 114.75l-.773.897s35.586 12.937 49.5 18.603l-.575-1.545z", fill: "#D7D8DD", mask: "url(#illustrations_pay_well_no_internet_svg__f)" }))));
SvgNoInternet.defaultProps = defaultProps;
exports.default = SvgNoInternet;
