"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.styles = exports.BORDER_RADIUS = void 0;
const react_native_1 = require("react-native");
const colors_1 = require("../UikitUtils/colors");
exports.BORDER_RADIUS = 6;
exports.styles = react_native_1.StyleSheet.create({
    secondary: {
        borderWidth: 1,
        paddingVertical: 15,
    },
    common: {
        alignItems: 'center',
        justifyContent: 'center',
        paddingVertical: 15,
        paddingHorizontal: 20,
    },
    curved: {
        borderRadius: exports.BORDER_RADIUS,
    },
    flat: {
        borderRadius: 0,
    },
    indicator: {
        marginRight: 8,
    },
    indicatorDirection: {
        flexDirection: 'row',
    },
    link: {
        backgroundColor: 'transparent',
        paddingVertical: 0,
        paddingHorizontal: 0,
        alignItems: 'flex-start',
    },
    contain: {
        width: '100%',
        flex: 1,
    },
    white: {
        backgroundColor: colors_1.WHITE,
    },
    disabled: {
        opacity: 0.5,
    },
    secondaryDisabled: {
        borderWidth: 1,
        borderColor: colors_1.BORDER_COLOR,
        paddingVertical: 13,
    },
    tertiary: {
        backgroundColor: colors_1.WHITE,
        borderColor: colors_1.GRAY_70,
        borderWidth: 1,
        paddingVertical: 13,
    },
    tertiaryDisabled: {
        backgroundColor: colors_1.GRAY_70,
    },
});
