"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Playground = exports.Basic = void 0;
const react_1 = __importDefault(require("react"));
const CalendarNative_1 = __importDefault(require("./CalendarNative"));
const Basic = () => {
    return (react_1.default.createElement(CalendarNative_1.default, { open: true, onClose: () => console.log('Cancel Called'), onConfirm: v => console.log(`Selected Date: ${v}`), primaryButtonName: "Confirm", secondarButtonName: "Cancel" }));
};
exports.Basic = Basic;
exports.default = {
    title: 'Components/CalendarPicker',
    component: CalendarNative_1.default,
};
const Template = args => (react_1.default.createElement(CalendarNative_1.default, { ...args }));
exports.Playground = Template.bind({});
exports.Playground.args = {
    open: true,
};
