import React from 'react';
import { ComponentMeta, ComponentStory } from '@storybook/react';
export declare const ChipWithIcons: () => JSX.Element;
export declare const WithFlexWrapper: () => JSX.Element;
export declare const WithPaddingMaintained: () => JSX.Element;
declare const _default: ComponentMeta<({ message, type, onClose, color, icon }: {
    message: string;
    onClose?: Function | undefined;
    type?: import("./Chip").chipType | undefined;
    color?: import("./Chip").chipColor | undefined;
    icon?: ((height: number, width: number, fill: string) => React.ReactNode) | undefined;
}) => JSX.Element>;
export default _default;
export declare const Playground: ComponentStory<({ message, type, onClose, color, icon }: {
    message: string;
    onClose?: Function | undefined;
    type?: import("./Chip").chipType | undefined;
    color?: import("./Chip").chipColor | undefined;
    icon?: ((height: number, width: number, fill: string) => React.ReactNode) | undefined;
}) => JSX.Element>;
