import React from 'react';
import type { ImageResizeMode } from 'react-native';
declare const defaultProps: {
    size: number;
    overrideStyle: {};
    previewMode: boolean;
};
type ResponsiveProps = {
    responsive?: boolean;
};
type sizeProp = {
    size: number;
};
type Props = {
    src: string;
    alt?: string;
    resizeMode?: ImageResizeMode;
    height?: number | string;
    width?: number | string;
    testID?: string;
    headers?: {
        [key: string]: string;
    };
} & typeof defaultProps & ResponsiveProps;
export declare const onSuccessLoad: (imageWidth: number, imageHeight: number, props: ResponsiveProps & sizeProp, setWidth: (arg: number) => void, setHeight: (arg: number) => void, setSizeMode: (arg: ImageResizeMode) => void) => void;
declare const _default: React.MemoExoticComponent<{
    ({ src, overrideStyle, resizeMode, responsive, size, alt, height, width, testID, previewMode, headers }: Props): JSX.Element;
    defaultProps: {
        size: number;
        overrideStyle: {};
        previewMode: boolean;
    };
}>;
export default _default;
