import React from 'react';
import { ComponentStory } from '@storybook/react';
export declare const Basic: () => JSX.Element;
export declare const Playground: ComponentStory<{
    ({ overrideStyle, onBlur, onFocus, required, label, type, autoFocus, value, placeholder, onChange, onChangeNative, actionLeft, actionRight, color, align, error, flex, disabled, bold, size, multiline, numberOfLines, onClear, onKeyPress, keyboardType, onSubmitEditing, returnKeyType, maxLength, secureTextEntry, placeholderTextColor, minHeight, getRef, textContentType, autoCapitalize, white, allowFontScaling, labelSize, labelColor, name, formikErrors, formikTouched, underlineColorAndroid }: {
        required?: boolean | undefined;
        label?: string | undefined;
        autoFocus?: boolean | undefined;
        placeholder?: string | undefined;
        onChange?: ((text: string) => void) | undefined;
        onChangeNative?: ((arg: any) => any) | undefined;
        actionLeft?: Function | undefined;
        actionRight?: Function | undefined;
        flex?: number | undefined;
        overrideStyle?: import("react-native").ViewStyle | undefined;
        onBlur?: ((arg: any) => any) | undefined;
        onFocus?: ((arg: any) => void) | undefined;
        onClear?: boolean | undefined;
        disabled?: boolean | undefined;
        bold?: boolean | undefined;
        size?: number | undefined;
        multiline?: boolean | undefined;
        numberOfLines?: number | undefined;
        getRef?: ((ref: React.RefObject<import("react-native").TextInput>) => void) | undefined;
        onKeyPress?: ((e: import("react-native").NativeSyntheticEvent<import("react-native").TextInputKeyPressEventData>) => void) | undefined;
        onSubmitEditing?: (() => void) | undefined;
        returnKeyType?: import("./InputText").returnKeyType;
        secureTextEntry?: boolean | undefined;
        maxLength?: number | undefined;
        keyboardType?: import("react-native").KeyboardTypeOptions | undefined;
        textContentType?: import("./InputText").textContentType;
        autoCapitalize?: import("./InputText").autoCapitalize;
        white?: boolean | undefined;
        labelSize?: number | undefined;
        labelColor?: import("../Text/Text").textColors | undefined;
        underlineColorAndroid?: string | undefined;
    } & {
        type: import("./InputText").InputTypes;
        align: import("./InputText").InputAlign;
        size: number;
        value: string;
        placeholderTextColor: string;
        minHeight: number;
        color: import("../Text/Text").textColors;
        allowFontScaling: boolean;
        name: string;
        formikErrors: {
            [key: string]: string | undefined;
        };
        formikTouched: {
            [key: string]: boolean | undefined;
        };
        error: any;
    }): JSX.Element;
    defaultProps: {
        type: import("./InputText").InputTypes;
        align: import("./InputText").InputAlign;
        size: number;
        value: string;
        placeholderTextColor: string;
        minHeight: number;
        color: import("../Text/Text").textColors;
        allowFontScaling: boolean;
        name: string;
        formikErrors: {
            [key: string]: string | undefined;
        };
        formikTouched: {
            [key: string]: boolean | undefined;
        };
        error: any;
    };
}>;
declare const _default: {
    title: string;
    component: {
        ({ overrideStyle, onBlur, onFocus, required, label, type, autoFocus, value, placeholder, onChange, onChangeNative, actionLeft, actionRight, color, align, error, flex, disabled, bold, size, multiline, numberOfLines, onClear, onKeyPress, keyboardType, onSubmitEditing, returnKeyType, maxLength, secureTextEntry, placeholderTextColor, minHeight, getRef, textContentType, autoCapitalize, white, allowFontScaling, labelSize, labelColor, name, formikErrors, formikTouched, underlineColorAndroid }: {
            required?: boolean | undefined;
            label?: string | undefined;
            autoFocus?: boolean | undefined;
            placeholder?: string | undefined;
            onChange?: ((text: string) => void) | undefined;
            onChangeNative?: ((arg: any) => any) | undefined;
            actionLeft?: Function | undefined;
            actionRight?: Function | undefined;
            flex?: number | undefined;
            overrideStyle?: import("react-native").ViewStyle | undefined;
            onBlur?: ((arg: any) => any) | undefined;
            onFocus?: ((arg: any) => void) | undefined;
            onClear?: boolean | undefined;
            disabled?: boolean | undefined;
            bold?: boolean | undefined;
            size?: number | undefined;
            multiline?: boolean | undefined;
            numberOfLines?: number | undefined;
            getRef?: ((ref: React.RefObject<import("react-native").TextInput>) => void) | undefined;
            onKeyPress?: ((e: import("react-native").NativeSyntheticEvent<import("react-native").TextInputKeyPressEventData>) => void) | undefined;
            onSubmitEditing?: (() => void) | undefined;
            returnKeyType?: import("./InputText").returnKeyType;
            secureTextEntry?: boolean | undefined;
            maxLength?: number | undefined;
            keyboardType?: import("react-native").KeyboardTypeOptions | undefined;
            textContentType?: import("./InputText").textContentType;
            autoCapitalize?: import("./InputText").autoCapitalize;
            white?: boolean | undefined;
            labelSize?: number | undefined;
            labelColor?: import("../Text/Text").textColors | undefined;
            underlineColorAndroid?: string | undefined;
        } & {
            type: import("./InputText").InputTypes;
            align: import("./InputText").InputAlign;
            size: number;
            value: string;
            placeholderTextColor: string;
            minHeight: number;
            color: import("../Text/Text").textColors;
            allowFontScaling: boolean;
            name: string;
            formikErrors: {
                [key: string]: string | undefined;
            };
            formikTouched: {
                [key: string]: boolean | undefined;
            };
            error: any;
        }): JSX.Element;
        defaultProps: {
            type: import("./InputText").InputTypes;
            align: import("./InputText").InputAlign;
            size: number;
            value: string;
            placeholderTextColor: string;
            minHeight: number;
            color: import("../Text/Text").textColors;
            allowFontScaling: boolean;
            name: string;
            formikErrors: {
                [key: string]: string | undefined;
            };
            formikTouched: {
                [key: string]: boolean | undefined;
            };
            error: any;
        };
    };
};
export default _default;
