"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const Flex_1 = __importDefault(require("../Flex/Flex"));
const Text_1 = __importDefault(require("../Text/Text"));
const uikitStyles = react_native_1.StyleSheet.create({
    titlePadding: {
        paddingVertical: 5,
    },
});
const ModalIcon = ({ title, showIcon, iconSize }) => {
    const iconDimentions = iconSize === 'large' ? { height: 54, width: 54 } : { height: 34, width: 34 };
    return (react_1.default.createElement(Flex_1.default, { row: showIcon && iconSize !== 'large', center: true },
        showIcon && (react_1.default.createElement(Flex_1.default, { column: true, row: iconSize === 'large', overrideStyle: {
                paddingRight: iconSize !== 'large' ? 16 : 0,
                paddingBottom: iconSize === 'large' ? 35 : 0,
            }, middle: iconSize === 'large' }, showIcon(iconDimentions.height, iconDimentions.width))),
        iconSize === 'large' ? (react_1.default.createElement(Flex_1.default, { column: true, row: true, middle: true },
            react_1.default.createElement(Text_1.default, { bold: true, size: 24, align: "center", color: "black" }, title))) : (react_1.default.createElement(Flex_1.default, { column: true },
            react_1.default.createElement(Text_1.default, { bold: true, size: 24, color: "black", overrideStyle: uikitStyles.titlePadding }, title)))));
};
exports.default = ModalIcon;
