"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.styles = void 0;
const react_native_1 = require("react-native");
const colors_1 = require("../UikitUtils/colors");
const constants_1 = require("../UikitUtils/constants");
exports.styles = react_native_1.StyleSheet.create({
    backdrop: {
        position: 'absolute',
        top: 0,
        bottom: 0,
        left: 0,
        right: 0,
        opacity: 0,
        backgroundColor: 'black',
    },
    content: {
        flex: 1,
        justifyContent: 'center',
    },
    containerBox: {
        zIndex: 2,
        opacity: 1,
        backgroundColor: 'transparent',
    },
    contentContainer: {
        backgroundColor: colors_1.WHITE,
        borderRadius: 4,
        position: 'relative'
    },
    close: {
        paddingTop: 20,
        paddingRight: 20,
        position: 'absolute',
        alignSelf: 'flex-end',
        zIndex: constants_1.ZINDEX_MODAL,
    },
    flexContainer: {
        padding: 24
    },
    flexMessage: {
        paddingTop: 20,
        paddingBottom: 40,
    },
    linkButton: {
        marginRight: 20,
    },
    secondaryButton: {
        marginRight: 20,
    },
});
