import { ReactNode } from 'react';
import { TextStyle } from 'react-native';
import { defaultProps } from './SelectList';
export type list = {
    [key: string]: any;
};
type Props = {
    onChange: Function;
    handleClose: Function;
    renderOption?: (a: list) => ReactNode;
    item: list;
    overrideStyleOptionsItem?: TextStyle;
    searchBy?: string[];
    multiselect?: boolean;
    handleOnSelect?: (arg: string) => void;
    searchListTestId?: string;
    index: number;
} & typeof defaultProps;
declare const SelectRowList: {
    ({ labelKey, onChange, handleClose, size, color, bold, renderOption, valueKey, item, overrideStyleOptionsItem, searchBy, multiselect, handleOnSelect, options, searchListTestId, index, }: Props): JSX.Element;
    defaultProps: import("./SelectList").DefaultProps;
};
export default SelectRowList;
