import type { SelectTagValue, list, MultiOptionsEntity } from './SelectTag.types';
type HandleSelectedOptionType = {
    value: SelectTagValue;
    selectOptions: MultiOptionsEntity[];
    stringifyValueKey: string;
    stringifyLabelKey: string;
};
type HandleCheckedAppendType = {
    options: list[];
    value: SelectTagValue;
    stringifyValueKey: string;
};
type HandleMultiSelectArray = {
    selectedOption: list[];
    stringifyLabelKey: string;
    stringifyValueKey: string;
};
export declare const handleDisplayValue: (selectedOption: MultiOptionsEntity[], labelkey: string) => string[];
export declare const handleMultiSelectArray: ({ selectedOption, stringifyLabelKey, stringifyValueKey, }: HandleMultiSelectArray) => {
    labelArray: string[];
    valueArray: string[];
};
export declare const checkedAppendFunction: ({ options, value, stringifyValueKey, }: HandleCheckedAppendType) => {
    isChecked: boolean;
}[];
export declare const handleSelectedOption: ({ value, selectOptions, stringifyValueKey, stringifyLabelKey, }: HandleSelectedOptionType) => {
    selectedOption: ({
        isChecked: boolean;
    } | {
        [x: string]: string | boolean;
    })[];
    labelArray: string[];
    valueArray: string[];
};
export {};
