"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.statusStyleGenerator = void 0;
const react_native_1 = require("react-native");
const colors_1 = require("../UikitUtils/colors");
const statusStyleGenerator = () => react_native_1.StyleSheet.create({
    labelText: {
        paddingHorizontal: 8,
        paddingTop: 2,
        borderWidth: 1,
        borderRadius: 4,
        backgroundColor: colors_1.WHITE,
        // width: 'fit-content',
        paddingBottom: 3,
    },
    black: {
        borderColor: colors_1.BLACK,
    },
    gray: {
        borderColor: colors_1.GRAY_50,
    },
    success: {
        borderColor: colors_1.SEMANTIC_SUCCESS_GREEN_PRIMARY,
    },
    error: {
        borderColor: colors_1.SEMANTIC_RED_PRIMARY,
    },
    normal: {
        borderColor: colors_1.BLACK,
    },
});
exports.statusStyleGenerator = statusStyleGenerator;
