"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const ThemeContext_1 = __importDefault(require("../ThemeContext/ThemeContext"));
const ThemeWrapper_1 = __importDefault(require("./ThemeWrapper"));
const ToastBar_1 = __importDefault(require("../Toast/ToastBar"));
const ThemeProvider = ({ children, theme, insets }) => {
    const [toastInfo, setToastInfo] = (0, react_1.useState)({
        message: '',
        duration: 'SHORT',
        position: 'BOTTOM',
        type: 'BASIC',
    });
    const handleShowToast = (arg) => {
        setToastInfo({ ...toastInfo, ...arg });
    };
    return (react_1.default.createElement(ThemeContext_1.default.Provider, { value: { theme, showToast: handleShowToast } },
        react_1.default.createElement(ThemeWrapper_1.default, { message: toastInfo.message, duration: toastInfo.duration, position: toastInfo.position, type: toastInfo.type, theme: theme },
            react_1.default.createElement(react_1.default.Fragment, null,
                react_1.default.createElement(ToastBar_1.default, { insets: insets }),
                children))));
};
exports.default = ThemeProvider;
