import type { ReactNode } from 'react';
import type { DurationTypes, ToastBarType, ToastPositionType } from '../ThemeContext/ThemeContext';
import { ThemeType } from '../UikitUtils/themeTypes';
type Props = {
    children: ReactNode;
    message: string;
    type: ToastBarType;
    duration: DurationTypes;
    position: ToastPositionType;
    theme: ThemeType;
};
declare const ThemeWrapper: {
    ({ children, type, duration, message, position, theme, }: Props): JSX.Element;
    defaultProps: {
        type: string;
        duration: number;
        position: string;
    };
};
export default ThemeWrapper;
