/// <reference types="react" />
export type ToastType = 'info' | 'success' | 'danger' | 'warning';
export type Insets = {
    top: number | string;
    bottom: number | string;
};
type Props = {
    insets: Insets;
};
declare const ToastBar: {
    ({ insets }: Props): JSX.Element | null;
    defaultProps: {
        insets: {
            top: string;
            bottom: string;
        };
    };
};
export default ToastBar;
